% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summary.R
\name{summary.fusion}
\alias{summary.fusion}
\title{Summary of object of class \code{fusion}}
\usage{
\method{summary}{fusion}(object, ...)
}
\arguments{
\item{object}{an object of class \code{fusion}}

\item{...}{further arguments passed to or from other methods (not used)}
}
\description{
Returns basic information about the model and the priors, MCMC details and posterior
means from refit of the selected model and 95\%-HPD intervals for the regression effects.
}
\details{
The model selected with function \code{effectFusion} is refitted with a flat uninformative 
prior to get estimates of the regression coefficients \code{beta}. The posterior means and 95\%-HPD 
intervals resulting from this refit are shown with this function \code{summary.fusion}. Fused 
categories have the same estimates of the regression coefficients and the same HPD intervals. 


If no model selection is performed (argument \code{averaged} in \code{effectFusion} is TRUE), the coefficient estimates are model
averaged.
}
\examples{
## see example for effectFusion
}
\author{
Daniela Pauger <daniela.pauger@jku.at>
}
\seealso{
\code{\link{effectFusion}}
}

